<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\Type;

final class CCountryCDXMaxArray
{
    /**
     * @var \Gls\GlsPoland\AdePlus\Type\CCountryCDXMax
     */
    private $items;

    public function getItems(): CCountryCDXMax
    {
        return $this->items;
    }

    public function withItems(CCountryCDXMax $items): CCountryCDXMaxArray
    {
        $new = clone $this;
        $new->items = $items;

        return $new;
    }
}
